<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <g:column
            sortBy="#{'timestamp'}"
            sortOrder="#{dataTableStateHolder.sortOrders['timestamp']}">
        <ui:define name="header">#{messages['gazelle.simu.Timestamp']}
        </ui:define>
        <g:date value="#{ti.timestamp}"/>
    </g:column>
    <g:column>
        <ui:define name="header">#{messages['gazelle.simu.Transaction']}</ui:define>
        <h:outputText value="#{ti.transaction.keyword}"/>
    </g:column>
    <g:column>
        <ui:define name="header">#{messages['gazelle.simu.Initiator']}</ui:define>
        <h:outputText
                value="#{ti.request.issuer} (#{ti.request.issuingActor.keyword})"/>
    </g:column>
    <g:column>
        <ui:define name="header">#{messages['gazelle.simu.Responder']}</ui:define>
        <h:outputText
                value="#{ti.response.issuer} (#{ti.response.issuingActor.keyword})"/>
    </g:column>

    <g:column id="requestValidateColumn" filterBy="#{'request.type'}" filterEvent="keyup">
        <ui:define name="header">#{messages['gazelle.simu.Request']}</ui:define>
        <div class="gzl-never-wrap">
            <s:span styleClass="gzl-icon-checked "
                    rendered="#{ti.request.validationStatus != null and ti.request.validationStatus.equals('PASSED')}"
                    title="PASSED"/>
            <s:span styleClass="gzl-icon-times " title="FAILED"
                    rendered="#{ti.request.validationStatus != null and ti.request.validationStatus.equals('FAILED')}"/>
            <a4j:commandLink id="reqVal"
                             actionListener="#{managedBean.validateRequest(ti)}"
                             oncomplete="jq162('#validationSummaryPanel').modal('show')"
                             render="validationSummaryPanelContent"
                             title="#{messages['net.ihe.gazelle.simulators.ClickToValidate']}"
                             rendered="#{ti.request.validationStatus == null or ti.request.validationStatus.equals('ABORTED')}">
                <s:span styleClass="fa fa-play gzl-text-blue"/>
            </a4j:commandLink>
            <h:outputText value="#{ti.request.type}"/>
        </div>
    </g:column>
    <g:column id="responseValidateColumn" filterBy="#{'response.type'}" filterEvent="keyup">
        <ui:define name="header">#{messages['gazelle.simu.Response']}</ui:define>
        <div class="gzl-never-wrap">
            <s:span styleClass="gzl-icon-checked "
                    rendered="#{managedBean.isResponseValidationStatusEqualsTo(ti,'PASSED')}"
                    title="PASSED"/>
            <s:span styleClass="gzl-icon-times " title="FAILED"
                    rendered="#{managedBean.isResponseValidationStatusEqualsTo(ti,'FAILED')}"/>
            <a4j:commandLink id="resVal"
                             actionListener="#{managedBean.validateResponse(ti)}"
                             oncomplete="jq162('#validationSummaryPanel').modal('show')"
                             render="validationSummaryPanelContent"
                             title="#{messages['net.ihe.gazelle.simulators.ClickToValidate']}"
                             rendered="#{managedBean.isResponseValidationStatusEqualsTo(ti,'')}">
                <s:span styleClass="fa fa-play gzl-text-blue"/>
            </a4j:commandLink>
            <h:outputText value="#{ti.response.type}"/>
        </div>
    </g:column>

</ui:composition>